/*-
 * Copyright (c) 1999, 2000, 2001, 2002, 2003 Lev Walkin <vlm@lionet.info>.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: sf_cfg.h,v 1.2 2005/05/25 21:55:10 vlm Exp $
 */

#ifndef __SF_CFG_H__
#define __SF_CFG_H__

#include <sf_svect.h>

#ifdef __cplusplus
extern "C" {
#endif	/* __cplusplus */

/*********************************/
/*** Config parsing functions  ***/
/*********************************/

/*
 * Read the config file into memory.
 * Returns -1 on error and 0 otherwise.
 */
int cfgread(const char *fname);

/*
 * Get attribute defined as
 * attribute = "value";
 * Returns NULL if not value found.
 */
char *cfgget(char *attr);

/*
 * Get attribute defined as
 * attribute { value1,
 * value2, value3 };
 * RETURN VALUES:
 * Returns empty svect* if not found.
 * NOTES:
 * You are responsible for sfree()'ing this structure when necessary.
 */
svect *cfgget2(char *attr);



#ifdef __cplusplus
}
#endif	/* __cplusplus */

#endif	/* __STFUNC_H__ */
